Bug 61110 - MODULE_LICENSE missing from some modules
Summary: MODULE_LICENSE missing from some modules
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-13 19:07 UTC by Nils Philippsen
Modified: 2007-04-18 16:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-22 04:37:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2002-03-13 19:07:17 UTC
Description of Problem:

some modules are missing the MODULE_LICENSE() macro therefore tainting the
kernel.

Version-Release number of selected component (if applicable):

kernel.-2.4.18-0.3

How Reproducible:

Always

Steps to Reproduce:
1. Load e.g. i2c-viapro or bt869a module

Actual Results:

Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/i2c/i2c-viapro.o will
taint the kernel: no license
Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/i2c/i2c-voodoo3.o will
taint the kernel: no license
Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/sensors/lm80.o will
taint the kernel: no license
Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/sensors/eeprom.o will
taint the kernel: no license
Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/sensors/via686a.o will
taint the kernel: no license
Warning: loading /lib/modules/2.4.18-0.3/kernel/drivers/sensors/bt869.o will
taint the kernel: no license

root@wombat:~>  cat /proc/sys/kernel/tainted 
1

Expected Results:

No warnings, no tainting.

Comment 1 Matt Domsch 2002-03-22 04:37:48 UTC
Add linux/drivers/net/pcmcia/wvlan_cs to the list of modules w/o 
MODULE_LICENSE, thus taint.  This one is GPL.



Note You need to log in before you can comment on or make changes to this bug.